"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ObjectDuplex = void 0;
const stream_1 = require("stream");
const defaultOptions = {
    objectMode: true
};
/**
 * @abstract
 * @class
 * Abstract class that handle data in a stream in object mode.
 * @extends Duplex
 */
class ObjectDuplex extends stream_1.Duplex {
    /**
     * @constructor
     * @param {ObjectDuplexOptions} options - The options for the ObjectDuplex.
     * @param [options.objectMode=true] {true} - Whether the stream should operate in object mode.
     */
    constructor(options) {
        const opts = { ...defaultOptions, ...options };
        super(opts);
    }
}
exports.ObjectDuplex = ObjectDuplex;
