"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ObjectReadable = void 0;
const stream_1 = require("stream");
const defaultOptions = {
    objectMode: true
};
/**
 * @abstract
 * @class
 * Abstract class that handle data in a stream in object mode.
 * @extends Readable
 */
class ObjectReadable extends stream_1.Readable {
    /**
     * @constructor
     * @param {ObjectReadableOptions} options - The options for the ObjectReadable.
     * @param [options.objectMode=true] {true} - Whether the stream should operate in object mode.
     */
    constructor(options) {
        const opts = { ...defaultOptions, ...options };
        super(opts);
    }
}
exports.ObjectReadable = ObjectReadable;
