"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ObjectWritable = void 0;
const stream_1 = require("stream");
const defaultOptions = {
    objectMode: true
};
/**
 * @abstract
 * @class
 * Abstract class that handle data in a stream in object mode.
 * @extends Writable
 */
class ObjectWritable extends stream_1.Writable {
    /**
     * @constructor
     * @param {ObjectWritableOptions} options - The options for the ObjectWritable.
     * @param [options.objectMode=true] {true} - Whether the stream should operate in object mode.
     */
    constructor(options) {
        const opts = { ...defaultOptions, ...options };
        super(opts);
    }
}
exports.ObjectWritable = ObjectWritable;
