import { Duplex } from "stream";
const defaultOptions = {
    objectMode: true
};
/**
 * @abstract
 * @class
 * Abstract class that handle data in a stream in object mode.
 * @extends Duplex
 */
export class ObjectDuplex extends Duplex {
    /**
     * @constructor
     * @param {ObjectDuplexOptions} options - The options for the ObjectDuplex.
     * @param [options.objectMode=true] {true} - Whether the stream should operate in object mode.
     */
    constructor(options) {
        const opts = { ...defaultOptions, ...options };
        super(opts);
    }
}
