import { Readable } from "stream";
const defaultOptions = {
    objectMode: true
};
/**
 * @abstract
 * @class
 * Abstract class that handle data in a stream in object mode.
 * @extends Readable
 */
export class ObjectReadable extends Readable {
    /**
     * @constructor
     * @param {ObjectReadableOptions} options - The options for the ObjectReadable.
     * @param [options.objectMode=true] {true} - Whether the stream should operate in object mode.
     */
    constructor(options) {
        const opts = { ...defaultOptions, ...options };
        super(opts);
    }
}
