import { Writable } from "stream";
const defaultOptions = {
    objectMode: true
};
/**
 * @abstract
 * @class
 * Abstract class that handle data in a stream in object mode.
 * @extends Writable
 */
export class ObjectWritable extends Writable {
    /**
     * @constructor
     * @param {ObjectWritableOptions} options - The options for the ObjectWritable.
     * @param [options.objectMode=true] {true} - Whether the stream should operate in object mode.
     */
    constructor(options) {
        const opts = { ...defaultOptions, ...options };
        super(opts);
    }
}
